<?php
/**
  * Plugin Name: FLC forma.lms connector
  * Description: FLC forma.lms connector syncronizes WordPress users on your forma.lms platform.
  * Version: 2.4.1
  * Author: Joint Technologies srl
  * Author URI: http://www.joint-tech.it/
  * Requires at least: 4.0
  * Tested up to: 5.9.3
  *
  * Text Domain: flc-forma-lms-connector
  * Domain Path: /languages/
  *
  * @package flc formalms connector
  * @category Core
  * @author Joint Technologies srl
  */

// If this file is called directly, abort.
if(!defined('WPINC') || !defined('ABSPATH')) {
    die;
}

define('FLC_BASEFILE', __FILE__);
define('FLC_BASEPATH', plugin_dir_path(FLC_BASEFILE));
define('FLC_BASEURL', plugins_url('/', FLC_BASEFILE));
define('FLC_BASENAME', plugin_basename(FLC_BASEFILE));

require_once FLC_BASEPATH . 'includes/plugin.php';

register_activation_hook(FLC_BASEFILE, array(FLC_Plugin::instance(), 'activate'));
register_deactivation_hook(FLC_BASEFILE, array(FLC_Plugin::instance(), 'deactivate'));
register_uninstall_hook(FLC_BASEFILE, array('FLC_Plugin', 'uninstall'));

add_action('plugins_loaded', array(FLC_Plugin::instance(), 'init'));
