<?php

// If this file is called directly, abort.
if (!defined('FLC_BASEPATH')) {
    die;
}

class FLC_FormaLMS {

    use FLC_Singleton;

    protected $address = '';
    protected $version = '3.0';

    protected function __construct() {

        $this->address = rtrim(FLC_Settings::instance()->get('address', $this->address), '/');
        $this->version = FLC_Settings::instance()->get('version', $this->version);
    }

    public function getAddress() {

        return $this->address;
    }

    public function getVersion() {

        return $this->version;
    }

    public function logout() {

        wp_redirect("{$this->address}/index.php?r=adm/homepage/logout");
        exit;
    }
}
