<?php

// If this file is called directly, abort.
if (!defined('FLC_BASEPATH')) {
    die;
}

trait FLC_Singleton {

    public static function instance() {

        static $instance;

        if(!isset($instance)) {
            $instance = new static();
        }

        return $instance;
    }

    protected function __construct() { }
}
